
# Copyright (C) SEIKO EPSON CORPORATION 2004.

%define PREFIX /usr
%define BINDIR %{PREFIX}/bin
%define ETCDIR /etc
%define VARDIR /var
%define LIBDIR %{PREFIX}/lib
%define KOWADIR %{PREFIX}/local/EPKowa
%define DEAMONDIR %{KOWADIR}/printer
%define DATADIR %{KOWADIR}/SC84_83S
%define LOCALEDIR %{PREFIX}/share/locale

%define CUPS_SERVER_DIR %{PREFIX}/lib/cups
%define CUPS_DATA_DIR %{PREFIX}/share/cups

Summary: Photo Image Print System for EPSON Stylus C84/C83 Series (i386)
Summary(ja): EPSON Stylus C84/C83 Series ѤPhoto Image Print System (i386)
Name: pips-sc84_83s
Version: 2.6.2
Release: 2
Copyright: Copyright (C) 2000-2004 EPSON KOWA Corporation. / Copyright (C) SEIKO EPSON CORPORATION 2000-2004.
Group: System/Printer
Source0: %{name}-%{version}.tar.gz
Packager: EPSON KOWA Corporation
Vendor: EPSON KOWA Corporation <http://www.epkowa.co.jp/>
BuildRoot: /var/tmp/%{name}-%{version}

%description

%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%setup
./configure --prefix=/usr

%build
make CFLAGS="-g -O2" CXXFLAGS="-g -O2"

%install
make install-strip DESTDIR=${RPM_BUILD_ROOT}

%post
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

DESTDIR=${RPM_BUILD_ROOT} %{DATADIR}/scripts/inst-lpr-post.sh install
ln -fs %{DATADIR}/scripts/setup-lpr.sh %{DATADIR}/setup

%preun
if [ "$1" = 0 ] ; then
	DESTDIR=${RPM_BUILD_ROOT} %{DATADIR}/scripts/inst-lpr-post.sh deinstall
	rm -f %{DATADIR}/setup
fi

%postun
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

if [ "$1" = 0 ] ; then
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}/scripts
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}/rc.d
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DEAMONDIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{KOWADIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}/var/ekpd
fi

%files
%defattr(-,root,root)

%{BINDIR}/pips-sc84_83s
%{BINDIR}/ekpstm
%{LIBDIR}/libsc84_83s.so
#Delected
%{DEAMONDIR}/ekpd
%{DEAMONDIR}/gsconfig
%{DEAMONDIR}/dtrfilter
%{DEAMONDIR}/freset
%{DEAMONDIR}/paper_list.csv
%{DATADIR}/filter-sc84_83s
%{ETCDIR}/ekpdrc
%{VARDIR}/ekpd/ekplp0
%{DATADIR}/readme-sc84_83s
%{DATADIR}/libsc84_83s.readme
%{BINDIR}/ekpnavi
%{DATADIR}/scripts/inst-lpr-post.sh
%{DATADIR}/lang

%{LOCALEDIR}/ja/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/de/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/es/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/fr/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/it/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/nl/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/pt/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/ko/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/zh/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/zh_TW/LC_MESSAGES/pips-sc84_83s.mo

%{DATADIR}/scripts/setup-lpr.sh
%{DATADIR}/scripts/en.lc
%{DATADIR}/scripts/ja.lc

%{DATADIR}/inst-rc_d.sh
%{DATADIR}/rc.d/ekpd.redhat
%{DATADIR}/rc.d/ekpd.debian
%{DATADIR}/rc.d/ekpd.slackware
%{DATADIR}/rc.d/ekpd.local.slackware

%{DATADIR}/BAND.PRN
%{DATADIR}/BAND.PRN.COLOR
%{DATADIR}/PATCH.PRN
%{DATADIR}/PATCH.PRN.COLOR

%doc AUTHORS
%doc README
%doc COPYING
%doc COPYING.LIB
%doc COPYING.KOWA
%doc COPYING.KOWA.ja
%doc ChangeLog


%package -n pips-sc84_83s-cups
Summary: Photo Image Print System for EPSON Stylus C84/C83 Series - CUPS version (i386)
Summary(ja): EPSON Stylus C84/C83 Series Ѥ Photo Image Print System - CUPSб (i386)
Group: System/Printer

#uncomment to remove dependency checks
AutoReqProv:   no
# Kondara requires
Requires: ld-linux.so.2
Requires: libX11.so.6
Requires: libXext.so.6
Requires: libXi.so.6
Requires: libc.so.6
Requires: libc.so.6(GLIBC_2.0)
Requires: libc.so.6(GLIBC_2.1)
Requires: libc.so.6(GLIBC_2.1.3)
#Requires: libcrypt.so.1
#Requires: libcrypto.so.0.9.6
Requires: libcups.so.2
Requires: libcupsimage.so.2
Requires: libdl.so.2
Requires: libdl.so.2(GLIBC_2.0)
Requires: libdl.so.2(GLIBC_2.1)
Requires: libgdk-1.2.so.0
Requires: libglib-1.2.so.0
Requires: libgmodule-1.2.so.0
Requires: libgtk-1.2.so.0
Requires: libjpeg.so.62
Requires: libm.so.6
Requires: libnsl.so.1
Requires: libpng.so.3
Requires: libpthread.so.0
Requires: libpthread.so.0(GLIBC_2.0)
Requires: libpthread.so.0(GLIBC_2.1)
#Requires: libssl.so.0.9.6
Requires: libtiff.so.3
Requires: libz.so.1

%description -n pips-sc84_83s-cups

%post -n pips-sc84_83s-cups
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

DESTDIR=${RPM_BUILD_ROOT} %{DATADIR}/scripts/inst-cups-post.sh install
ln -fs %{DATADIR}/scripts/setup-cups.sh %{DATADIR}/setup

%preun -n pips-sc84_83s-cups
if [ "$1" = 0 ] ; then
	DESTDIR=${RPM_BUILD_ROOT} %{DATADIR}/scripts/inst-cups-post.sh deinstall
	rm -f %{DATADIR}/setup
fi

%postun -n pips-sc84_83s-cups
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

if [ "$1" = 0 ] ; then
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}/scripts
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}/rc.d
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DEAMONDIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{KOWADIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}/var/ekpd
fi

%files -n pips-sc84_83s-cups
%defattr(-,root,root)

%{CUPS_SERVER_DIR}/filter/rastertopips
%{CUPS_SERVER_DIR}/filter/pipstoprinter
%{CUPS_SERVER_DIR}/backend/ekplp
%{CUPS_DATA_DIR}/model/eksc84_83s.ppd
%{LIBDIR}/libsc84_83s.so
#Deleted
%{BINDIR}/ekpstm

%{DEAMONDIR}/ekpd
%{DEAMONDIR}/paper_list.csv
%{ETCDIR}/ekpdrc
%{VARDIR}/ekpd/ekplp0
%{DATADIR}/cupsopt.csv
%{DATADIR}/readme-sc84_83s-cups
%{DATADIR}/libsc84_83s.readme
%{DATADIR}/scripts/inst-cups-post.sh

%{LOCALEDIR}/ja/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/de/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/es/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/fr/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/it/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/nl/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/pt/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/ko/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/zh/LC_MESSAGES/pips-sc84_83s.mo
%{LOCALEDIR}/zh_TW/LC_MESSAGES/pips-sc84_83s.mo

%{DATADIR}/scripts/setup-cups.sh
%{DATADIR}/scripts/en.lc
%{DATADIR}/scripts/ja.lc

%{DATADIR}/inst-rc_d.sh
%{DATADIR}/rc.d/ekpd.redhat
%{DATADIR}/rc.d/ekpd.debian
%{DATADIR}/rc.d/ekpd.slackware
%{DATADIR}/rc.d/ekpd.local.slackware

%doc AUTHORS
%doc README
%doc COPYING
%doc COPYING.LIB
%doc COPYING.KOWA
%doc COPYING.KOWA.ja
%doc ChangeLog
